Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSound.hpp File Reference

Destiny Sound System Data Structures and Classes. More...

`#include "deResource.hpp"`

Include dependency graph for deSound.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | deSFX_Chorus
struct | deSFX_Compressor
struct | deSFX_Distortion
struct | deSFX_Echo
struct | deSFX_Flanger
struct | deSFX_Gargle
struct | deSFX_ParamEQ
struct | deSFX_Reverb
class | IdeSoundBuffer
struct | deSoundCfg
class | IdeSoundData
class | IdeSoundSystem
## Defines
#define | DESOUND_API extern "C" DEDLL_IMPORT
#define | MAX_STRING 255
#define | MAX_BUFFERS 20
#define | DESFX_GARGLE_RATEHZ_MIN 1
#define | DESFX_GARGLE_RATEHZ_MAX 1000
#define | DESFX_CHORUS_WAVE_TRIANGLE 0
#define | DESFX_CHORUS_WAVE_SIN 1
#define | DESFX_CHORUS_WETDRYMIX_MIN 0.0f
#define | DESFX_CHORUS_WETDRYMIX_MAX 100.0f
#define | DESFX_CHORUS_DEPTH_MIN 0.0f
#define | DESFX_CHORUS_DEPTH_MAX 100.0f
#define | DESFX_CHORUS_FEEDBACK_MIN -99.0f
#define | DESFX_CHORUS_FEEDBACK_MAX 99.0f
#define | DESFX_CHORUS_FREQUENCY_MIN 0.0f
#define | DESFX_CHORUS_FREQUENCY_MAX 10.0f
#define | DESFX_CHORUS_DELAY_MIN 0.0f
#define | DESFX_CHORUS_DELAY_MAX 20.0f
#define | DESFX_CHORUS_PHASE_MIN 0
#define | DESFX_CHORUS_PHASE_MAX 4
#define | DESFX_CHORUS_PHASE_NEG_180 0
#define | DESFX_CHORUS_PHASE_NEG_90 1
#define | DESFX_CHORUS_PHASE_ZERO 2
#define | DESFX_CHORUS_PHASE_90 3
#define | DESFX_CHORUS_PHASE_180 4
#define | DESFX_FLANGER_WAVE_TRIANGLE 0
#define | DESFX_FLANGER_WAVE_SIN 1
#define | DESFX_FLANGER_WETDRYMIX_MIN 0.0f
#define | DESFX_FLANGER_WETDRYMIX_MAX 100.0f
#define | DESFX_FLANGER_FREQUENCY_MIN 0.0f
#define | DESFX_FLANGER_FREQUENCY_MAX 10.0f
#define | DESFX_FLANGER_DEPTH_MIN 0.0f
#define | DESFX_FLANGER_DEPTH_MAX 100.0f
#define | DESFX_FLANGER_PHASE_MIN 0
#define | DESFX_FLANGER_PHASE_MAX 4
#define | DESFX_FLANGER_FEEDBACK_MIN -99.0f
#define | DESFX_FLANGER_FEEDBACK_MAX 99.0f
#define | DESFX_FLANGER_DELAY_MIN 0.0f
#define | DESFX_FLANGER_DELAY_MAX 4.0f
#define | DESFX_FLANGER_PHASE_NEG_180 0
#define | DESFX_FLANGER_PHASE_NEG_90 1
#define | DESFX_FLANGER_PHASE_ZERO 2
#define | DESFX_FLANGER_PHASE_90 3
#define | DESFX_FLANGER_PHASE_180 4
#define | DESFX_ECHO_WETDRYMIX_MIN 0.0f
#define | DESFX_ECHO_WETDRYMIX_MAX 100.0f
#define | DESFX_ECHO_FEEDBACK_MIN 0.0f
#define | DESFX_ECHO_FEEDBACK_MAX 100.0f
#define | DESFX_ECHO_LEFTDELAY_MIN 1.0f
#define | DESFX_ECHO_LEFTDELAY_MAX 2000.0f
#define | DESFX_ECHO_RIGHTDELAY_MIN 1.0f
#define | DESFX_ECHO_RIGHTDELAY_MAX 2000.0f
#define | DESFX_ECHO_PANDELAY_MIN 0
#define | DESFX_ECHO_PANDELAY_MAX 1
#define | DESFX_DISTORTION_GAIN_MIN -60.0f
#define | DESFX_DISTORTION_GAIN_MAX 0.0f
#define | DESFX_DISTORTION_EDGE_MIN 0.0f
#define | DESFX_DISTORTION_EDGE_MAX 100.0f
#define | DESFX_DISTORTION_POSTEQCENTERFREQUENCY_MIN 100.0f
#define | DESFX_DISTORTION_POSTEQCENTERFREQUENCY_MAX 8000.0f
#define | DESFX_DISTORTION_POSTEQBANDWIDTH_MIN 100.0f
#define | DESFX_DISTORTION_POSTEQBANDWIDTH_MAX 8000.0f
#define | DESFX_DISTORTION_PRELOWPASSCUTOFF_MIN 100.0f
#define | DESFX_DISTORTION_PRELOWPASSCUTOFF_MAX 8000.0f
#define | DESFX_COMPRESSOR_GAIN_MIN -60.0f
#define | DESFX_COMPRESSOR_GAIN_MAX 60.0f
#define | DESFX_COMPRESSOR_ATTACK_MIN 0.01f
#define | DESFX_COMPRESSOR_ATTACK_MAX 500.0f
#define | DESFX_COMPRESSOR_RELEASE_MIN 50.0f
#define | DESFX_COMPRESSOR_RELEASE_MAX 3000.0f
#define | DESFX_COMPRESSOR_THRESHOLD_MIN -60.0f
#define | DESFX_COMPRESSOR_THRESHOLD_MAX 0.0f
#define | DESFX_COMPRESSOR_RATIO_MIN 1.0f
#define | DESFX_COMPRESSOR_RATIO_MAX 100.0f
#define | DESFX_COMPRESSOR_PREDELAY_MIN 0.0f
#define | DESFX_COMPRESSOR_PREDELAY_MAX 4.0f
#define | DESFX_PARAMEQ_CENTER_MIN 80.0f
#define | DESFX_PARAMEQ_CENTER_MAX 16000.0f
#define | DESFX_PARAMEQ_BANDWIDTH_MIN 1.0f
#define | DESFX_PARAMEQ_BANDWIDTH_MAX 36.0f
#define | DESFX_PARAMEQ_GAIN_MIN -15.0f
#define | DESFX_PARAMEQ_GAIN_MAX 15.0f
#define | DESFX_REVERB_INGAIN_MIN -96.0f
#define | DESFX_REVERB_INGAIN_MAX 0.0f
#define | DESFX_REVERB_INGAIN_DEFAULT 0.0f
#define | DESFX_REVERB_REVERBMIX_MIN -96.0f
#define | DESFX_REVERB_REVERBMIX_MAX 0.0f
#define | DESFX_REVERB_REVERBMIX_DEFAULT 0.0f
#define | DESFX_REVERB_REVERBTIME_MIN 0.001f
#define | DESFX_REVERB_REVERBTIME_MAX 3000.0f
#define | DESFX_REVERB_REVERBTIME_DEFAULT 1000.0f
#define | DESFX_REVERB_HIGHFREQRTRATIO_MIN 0.001f
#define | DESFX_REVERB_HIGHFREQRTRATIO_MAX 0.999f
#define | DESFX_REVERB_HIGHFREQRTRATIO_DEFAULT 0.001f
## Typedefs
typedef tWAVEFORMATEX | WAVEFORMATEX
typedef unsigned char | uint8
typedef unsigned int | u_int
typedef unsigned short | u_short
typedef unsigned long | u_long
typedef enum deSFX_Type | deSFX_Type
typedef deSoundCfg | deSoundCfg
typedef deSFX_Chorus | deSFX_Chorus
typedef deSFX_Gargle | deSFX_Gargle
typedef deSFX_Echo | deSFX_Echo
typedef deSFX_Distortion | deSFX_Distortion
typedef deSFX_Compressor | deSFX_Compressor
typedef deSFX_Reverb | deSFX_Reverb
typedef deSFX_ParamEQ | deSFX_ParamEQ
typedef deSFX_Flanger | deSFX_Flanger
## Enumerations
enum | deSFX_Type { DESFX_TYPE_CHORUS = 0, DESFX_TYPE_GARGLE, DESFX_TYPE_ECHO, DESFX_TYPE_DISTORTION, DESFX_TYPE_COMPRESSOR, DESFX_TYPE_FLANGER, DESFX_TYPE_PARAMEQ, DESFX_TYPE_REVERB, DESFX_ENUM }
## Functions
DEDLL_IMPORT IdeSoundSystem * | IdeSoundSystem_CreateDirectSound (HWND hWnd)
DEDLL_IMPORT IdeSoundSystem * | IdeSoundSystem_CreateEAX (HWND hWnd)
DEDLL_IMPORT int | IdeSoundData_GetInterfaceID ()

## Detailed Description

Destiny Sound System Data Structures and Classes.

Author:
  paradoxnj

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  paradoxnj

Remarks:
  Creation

## Define Documentation

#define DESFX_CHORUS_DELAY_MAX 20.0f

#define DESFX_CHORUS_DELAY_MIN 0.0f

#define DESFX_CHORUS_DEPTH_MAX 100.0f

#define DESFX_CHORUS_DEPTH_MIN 0.0f

#define DESFX_CHORUS_FEEDBACK_MAX 99.0f

#define DESFX_CHORUS_FEEDBACK_MIN -99.0f

#define DESFX_CHORUS_FREQUENCY_MAX 10.0f

#define DESFX_CHORUS_FREQUENCY_MIN 0.0f

#define DESFX_CHORUS_PHASE_180 4

#define DESFX_CHORUS_PHASE_90 3

#define DESFX_CHORUS_PHASE_MAX 4

#define DESFX_CHORUS_PHASE_MIN 0

#define DESFX_CHORUS_PHASE_NEG_180 0

#define DESFX_CHORUS_PHASE_NEG_90 1

#define DESFX_CHORUS_PHASE_ZERO 2

#define DESFX_CHORUS_WAVE_SIN 1

#define DESFX_CHORUS_WAVE_TRIANGLE 0

#define DESFX_CHORUS_WETDRYMIX_MAX 100.0f

#define DESFX_CHORUS_WETDRYMIX_MIN 0.0f

#define DESFX_COMPRESSOR_ATTACK_MAX 500.0f

#define DESFX_COMPRESSOR_ATTACK_MIN 0.01f

#define DESFX_COMPRESSOR_GAIN_MAX 60.0f

#define DESFX_COMPRESSOR_GAIN_MIN -60.0f

#define DESFX_COMPRESSOR_PREDELAY_MAX 4.0f

#define DESFX_COMPRESSOR_PREDELAY_MIN 0.0f

#define DESFX_COMPRESSOR_RATIO_MAX 100.0f

#define DESFX_COMPRESSOR_RATIO_MIN 1.0f

#define DESFX_COMPRESSOR_RELEASE_MAX 3000.0f

#define DESFX_COMPRESSOR_RELEASE_MIN 50.0f

#define DESFX_COMPRESSOR_THRESHOLD_MAX 0.0f

#define DESFX_COMPRESSOR_THRESHOLD_MIN -60.0f

#define DESFX_DISTORTION_EDGE_MAX 100.0f

#define DESFX_DISTORTION_EDGE_MIN 0.0f

#define DESFX_DISTORTION_GAIN_MAX 0.0f

#define DESFX_DISTORTION_GAIN_MIN -60.0f

#define DESFX_DISTORTION_POSTEQBANDWIDTH_MAX 8000.0f

#define DESFX_DISTORTION_POSTEQBANDWIDTH_MIN 100.0f

#define DESFX_DISTORTION_POSTEQCENTERFREQUENCY_MAX 8000.0f

#define DESFX_DISTORTION_POSTEQCENTERFREQUENCY_MIN 100.0f

#define DESFX_DISTORTION_PRELOWPASSCUTOFF_MAX 8000.0f

#define DESFX_DISTORTION_PRELOWPASSCUTOFF_MIN 100.0f

#define DESFX_ECHO_FEEDBACK_MAX 100.0f

#define DESFX_ECHO_FEEDBACK_MIN 0.0f

#define DESFX_ECHO_LEFTDELAY_MAX 2000.0f

#define DESFX_ECHO_LEFTDELAY_MIN 1.0f

#define DESFX_ECHO_PANDELAY_MAX 1

#define DESFX_ECHO_PANDELAY_MIN 0

#define DESFX_ECHO_RIGHTDELAY_MAX 2000.0f

#define DESFX_ECHO_RIGHTDELAY_MIN 1.0f

#define DESFX_ECHO_WETDRYMIX_MAX 100.0f

#define DESFX_ECHO_WETDRYMIX_MIN 0.0f

#define DESFX_FLANGER_DELAY_MAX 4.0f

#define DESFX_FLANGER_DELAY_MIN 0.0f

#define DESFX_FLANGER_DEPTH_MAX 100.0f

#define DESFX_FLANGER_DEPTH_MIN 0.0f

#define DESFX_FLANGER_FEEDBACK_MAX 99.0f

#define DESFX_FLANGER_FEEDBACK_MIN -99.0f

#define DESFX_FLANGER_FREQUENCY_MAX 10.0f

#define DESFX_FLANGER_FREQUENCY_MIN 0.0f

#define DESFX_FLANGER_PHASE_180 4

#define DESFX_FLANGER_PHASE_90 3

#define DESFX_FLANGER_PHASE_MAX 4

#define DESFX_FLANGER_PHASE_MIN 0

#define DESFX_FLANGER_PHASE_NEG_180 0

#define DESFX_FLANGER_PHASE_NEG_90 1

#define DESFX_FLANGER_PHASE_ZERO 2

#define DESFX_FLANGER_WAVE_SIN 1

#define DESFX_FLANGER_WAVE_TRIANGLE 0

#define DESFX_FLANGER_WETDRYMIX_MAX 100.0f

#define DESFX_FLANGER_WETDRYMIX_MIN 0.0f

#define DESFX_GARGLE_RATEHZ_MAX 1000

#define DESFX_GARGLE_RATEHZ_MIN 1

#define DESFX_PARAMEQ_BANDWIDTH_MAX 36.0f

#define DESFX_PARAMEQ_BANDWIDTH_MIN 1.0f

#define DESFX_PARAMEQ_CENTER_MAX 16000.0f

#define DESFX_PARAMEQ_CENTER_MIN 80.0f

#define DESFX_PARAMEQ_GAIN_MAX 15.0f

#define DESFX_PARAMEQ_GAIN_MIN -15.0f

#define DESFX_REVERB_HIGHFREQRTRATIO_DEFAULT 0.001f

#define DESFX_REVERB_HIGHFREQRTRATIO_MAX 0.999f

#define DESFX_REVERB_HIGHFREQRTRATIO_MIN 0.001f

#define DESFX_REVERB_INGAIN_DEFAULT 0.0f

#define DESFX_REVERB_INGAIN_MAX 0.0f

#define DESFX_REVERB_INGAIN_MIN -96.0f

#define DESFX_REVERB_REVERBMIX_DEFAULT 0.0f

#define DESFX_REVERB_REVERBMIX_MAX 0.0f

#define DESFX_REVERB_REVERBMIX_MIN -96.0f

#define DESFX_REVERB_REVERBTIME_DEFAULT 1000.0f

#define DESFX_REVERB_REVERBTIME_MAX 3000.0f

#define DESFX_REVERB_REVERBTIME_MIN 0.001f

#define DESOUND_API extern "C" DEDLL_IMPORT

#define MAX_BUFFERS 20

#define MAX_STRING 255

## Typedef Documentation

typedef struct deSFX_Chorus deSFX_Chorus

typedef struct deSFX_Compressor deSFX_Compressor

typedef struct deSFX_Distortion deSFX_Distortion

typedef struct deSFX_Echo deSFX_Echo

typedef struct deSFX_Flanger deSFX_Flanger

typedef struct deSFX_Gargle deSFX_Gargle

typedef struct deSFX_ParamEQ deSFX_ParamEQ

typedef struct deSFX_Reverb deSFX_Reverb

typedef enum deSFX_Type deSFX_Type

typedef struct deSoundCfg deSoundCfg

typedef unsigned int u_int

typedef unsigned long u_long

typedef unsigned short u_short

typedef unsigned char uint8

typedef struct tWAVEFORMATEX WAVEFORMATEX

## Enumeration Type Documentation

enum deSFX_Type

  | Enumeration values:
  DESFX_TYPE_CHORUS |
  DESFX_TYPE_GARGLE |
  DESFX_TYPE_ECHO |
  DESFX_TYPE_DISTORTION |
  DESFX_TYPE_COMPRESSOR |
  DESFX_TYPE_FLANGER |
  DESFX_TYPE_PARAMEQ |
  DESFX_TYPE_REVERB |
  DESFX_ENUM |

## Function Documentation

DEDLL_IMPORT int IdeSoundData_GetInterfaceID | ( |  | ) |

DEDLL_IMPORT IdeSoundSystem* IdeSoundSystem_CreateDirectSound | ( | HWND | hWnd | ) |

DEDLL_IMPORT IdeSoundSystem* IdeSoundSystem_CreateEAX | ( | HWND | hWnd | ) |